Bug 1243967 - [abrt] lyx: lyx::error_handler(int)(): lyx killed by SIGABRT
Summary: [abrt] lyx: lyx::error_handler(int)(): lyx killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lyx
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:71a05e2211f3df8bc78b98114cd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-16 17:36 UTC by Germano Massullo
Modified: 2015-08-07 12:54 UTC (History)
2 users (show)

Fixed In Version: lyx-2.1.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-07 12:54:47 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (32.84 KB, text/plain)
2015-07-16 17:36 UTC, Germano Massullo
no flags Details
File: cgroup (190 bytes, text/plain)
2015-07-16 17:36 UTC, Germano Massullo
no flags Details
File: core_backtrace (6.76 KB, text/plain)
2015-07-16 17:36 UTC, Germano Massullo
no flags Details
File: dso_list (12.05 KB, text/plain)
2015-07-16 17:36 UTC, Germano Massullo
no flags Details
File: environ (1.66 KB, text/plain)
2015-07-16 17:36 UTC, Germano Massullo
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-16 17:36 UTC, Germano Massullo
no flags Details
File: maps (61.03 KB, text/plain)
2015-07-16 17:36 UTC, Germano Massullo
no flags Details
File: mountinfo (3.04 KB, text/plain)
2015-07-16 17:36 UTC, Germano Massullo
no flags Details
File: namespaces (85 bytes, text/plain)
2015-07-16 17:36 UTC, Germano Massullo
no flags Details
File: open_fds (590 bytes, text/plain)
2015-07-16 17:36 UTC, Germano Massullo
no flags Details
File: proc_pid_status (958 bytes, text/plain)
2015-07-16 17:36 UTC, Germano Massullo
no flags Details
File: var_log_messages (299 bytes, text/plain)
2015-07-16 17:36 UTC, Germano Massullo
no flags Details

Description Germano Massullo 2015-07-16 17:36:00 UTC
Description of problem:
I exited from LyX when the crash occurred

Version-Release number of selected component:
lyx-2.1.3-1.fc22

Additional info:
reporter:       libreport-2.6.0
backtrace_rating: 4
cmdline:        /bin/lyx
crash_function: lyx::error_handler(int)
executable:     /usr/bin/lyx
global_pid:     2203
kernel:         4.0.7-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #2 lyx::error_handler(int) at LyX.cpp:696

Comment 1 Germano Massullo 2015-07-16 17:36:04 UTC
Created attachment 1052769 [details]
File: backtrace

Comment 2 Germano Massullo 2015-07-16 17:36:05 UTC
Created attachment 1052770 [details]
File: cgroup

Comment 3 Germano Massullo 2015-07-16 17:36:06 UTC
Created attachment 1052771 [details]
File: core_backtrace

Comment 4 Germano Massullo 2015-07-16 17:36:08 UTC
Created attachment 1052772 [details]
File: dso_list

Comment 5 Germano Massullo 2015-07-16 17:36:09 UTC
Created attachment 1052773 [details]
File: environ

Comment 6 Germano Massullo 2015-07-16 17:36:11 UTC
Created attachment 1052774 [details]
File: limits

Comment 7 Germano Massullo 2015-07-16 17:36:13 UTC
Created attachment 1052776 [details]
File: maps

Comment 8 Germano Massullo 2015-07-16 17:36:14 UTC
Created attachment 1052777 [details]
File: mountinfo

Comment 9 Germano Massullo 2015-07-16 17:36:15 UTC
Created attachment 1052778 [details]
File: namespaces

Comment 10 Germano Massullo 2015-07-16 17:36:16 UTC
Created attachment 1052779 [details]
File: open_fds

Comment 11 Germano Massullo 2015-07-16 17:36:18 UTC
Created attachment 1052780 [details]
File: proc_pid_status

Comment 12 Germano Massullo 2015-07-16 17:36:19 UTC
Created attachment 1052781 [details]
File: var_log_messages

Comment 13 José Matos 2015-07-17 08:48:15 UTC
Thank you for the report.

I will bring this to lyx-devel to see if this is known, or not.

In any case 2.1.4 should be out in the next couple of weeks and so we can test if this problem has been fixed there.

Comment 14 Fedora Update System 2015-07-24 16:06:43 UTC
lyx-2.1.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/lyx-2.1.4-1.fc22

Comment 15 José Matos 2015-07-24 16:08:22 UTC
A patch was backported to 2.1.4 that should fix this crash. I have built lyx-2.1.4 and it should be soon in updates-testing.

Comment 16 Fedora Update System 2015-07-24 16:09:06 UTC
lyx-2.1.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lyx-2.1.4-1.fc21

Comment 17 Germano Massullo 2015-07-24 16:14:07 UTC
(In reply to José Matos from comment #15)
> A patch was backported to 2.1.4 that should fix this crash. I have built
> lyx-2.1.4 and it should be soon in updates-testing.

Thank you. The only problem is that the crash is not easy to reproduce, so I cannot do a good testing.

Comment 18 Fedora Update System 2015-07-30 01:19:17 UTC
Package lyx-2.1.4-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lyx-2.1.4-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12314/lyx-2.1.4-1.fc22
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2015-08-07 12:54:40 UTC
lyx-2.1.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-08-07 12:54:47 UTC
lyx-2.1.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.